New user management permissions: add own member, change role own meber, delete own member
2011-03-24 03:17 - Terence Mill

Status: New Start date: 2011-03-24
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Permissions and roles Estimated time: 0.00 hour

Target version:

Resolution:

Description

If admin gives groups their roles on project, project manager shouldn't be able to change admin made settings. But he could add
further other users/group and give them rights - of course not ones thery already set by admin.
So project manager then should be only able to change/remove the users he added itself, but never that ones set by an admin.

I think for many companies this would be needful, where are own an external team members.

Company team mates can be set by admin, eg. automatically via I[dap groups and additionaly project manager can handle fluent
external members by its own. So project manager can't "accidently remove its own team members which are managed by Idap
grouping by field service.

Related issues:
Related to Redmine - Feature #10117: 'Permission - Project - Manage Groups'r... New 2012-02-01

History

#1 - 2012-04-23 15:31 - Terence Mill
related to #10117

#2 - 2012-04-23 15:51 - Etienne Massip

- Subject changed from new user managment rights : add own member, change role own meber, delete own member to New user management
permissions: add own member, change role own meber, delete own member

#3 - 2012-07-18 23:50 - Terence Mill

realted to Feature #8856 "Additive user management for project managers"

#4 - 2013-01-07 14:03 - Jérome BATAILLE

Do you mean you want to give the project leaders the mean to create groups and add any members in it ?

This can be very interesting, because actual groups managed by Administrators are not really usable :

Administrators lose time getting a project vision (knowing what are the projects and their members, which one have changed etc.), and in big

companies, it will lead to a big overhead on their job.

Project leader have the knowledge of each need and movement, and have the time in each of their projects to do the according changes in the
groups memberships.

The Administrative groups are a good thing linked to LDAP, for a corporate vision (Business Units memberships).
But on the project basis they should be managed by the project leaders, to include company and customer members.

#5 - 2013-01-07 14:23 - Terence Mill
Jérome BATAILLE wrote:

Do you mean you want to give the project leaders the mean to create groups and add any members in it ?

See for 2 approaches or possible implementation my comment here
This can be very interesting, because actual groups managed by Administrators are not really usable :
Administrators lose time getting a project vision (knowing what are the projects and their members, which one have changed etc.), and in big
companies, it will lead to a big overhead on their job.

Project leader have the knowledge of each need and movement, and have the time in each of their projects to do the according changes in the
groups memberships.
The Administrative groups are a good thing linked to LDAP, for a corporate vision (Business Units memberships).
But on the project basis they should be managed by the project leaders, to include company and customer members.

#6 - 2013-01-07 14:59 - Daniel Felix

Terence Mill wrote:

This can be very interesting, because actual groups managed by Administrators are not really usable :
Administrators lose time getting a project vision (knowing what are the projects and their members, which one have changed etc.), and in big
companies, it will lead to a big overhead on their job.

| would agree on this. This is something which our admins suffer from.
